This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 762893 - (GLUSTER-1161) gluster volume start command segfaults glusterd
gluster volume start command segfaults glusterd
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1-alpha
All Linux
low Severity low
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 07:06 EDT by Raghavendra Bhat
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2010-07-17 07:06:29 EDT
gluster volume start command segfaults glusterd. This is the backtrace of the core generated.


GNU gdb 6.8
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-slackware-linux"...

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/local/lib/libglusterfs.so.0...done.
Loaded symbols for /usr/local/lib/libglusterfs.so.0
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libpthread.so.0...done.
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/local/lib/glusterfs/3.1.0git/xlator/mgmt/glusterd.so...done.
Loaded symbols for /usr/local/lib/glusterfs/3.1.0git/xlator/mgmt/glusterd.so
Reading symbols from /usr/local/lib/libgfxdr.so.0...done.
Loaded symbols for /usr/local/lib/libgfxdr.so.0
Reading symbols from /usr/local/lib/libgfrpc.so.0...done.
Loaded symbols for /usr/local/lib/libgfrpc.so.0
Reading symbols from /usr/local/lib/glusterfs/3.1.0git/rpc-transport/socket.so...done.
Loaded symbols for /usr/local/lib/glusterfs/3.1.0git/rpc-transport/socket.so
Reading symbols from /usr/lib64/libgcc_s.so.1...done.
Loaded symbols for /usr/lib64/libgcc_s.so.1
Core was generated by `glusterfs -f /tmp/gld.vol --debug'.
Program terminated with signal 11, Segmentation fault.
[New process 4571]
[New process 4572]
#0  0x00007fe69b072148 in glusterd3_1_friend_add (frame=0x7fe69ccda468, this=0x7fe69ce4f7c0, data=0x60d418)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd3_1-mops.c:633
633             req.hostname = gf_strdup (peerinfo->hostname);
(gdb) bt
#0  0x00007fe69b072148 in glusterd3_1_friend_add (frame=0x7fe69ccda468, this=0x7fe69ce4f7c0, data=0x60d418)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd3_1-mops.c:633
#1  0x00007fe69ac3c892 in rpcsvc_handle_rpc_call (conn=0x608ef8, msg=<value optimized out>) at ../../../../rpc/rpc-lib/src/rpcsvc.c:1190
#2  0x00007fe69ac3d168 in rpcsvc_notify (trans=<value optimized out>, mydata=0x7fff5db41c10, event=<value optimized out>, data=0x607180)
    at ../../../../rpc/rpc-lib/src/rpcsvc.c:1236
#3  0x00007fe69ac3daa8 in rpc_transport_notify (this=0x608f10, event=<value optimized out>, data=<value optimized out>)
    at ../../../../rpc/rpc-lib/src/rpc-transport.c:1228
#4  0x00007fe69aa2dd0f in socket_event_poll_in (this=0x612f78) at ../../../../../rpc/rpc-transport/socket/src/socket.c:1336
#5  0x00007fe69aa2de18 in socket_event_handler (fd=<value optimized out>, idx=1, data=0x612f78, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../../rpc/rpc-transport/socket/src/socket.c:1442
#6  0x00007fe69ca3e5f4 in event_dispatch_epoll (event_pool=0x607c48) at ../../../libglusterfs/src/event.c:809
#7  0x0000000000403f12 in main (argc=4, argv=<value optimized out>) at ../../../glusterfsd/src/glusterfsd.c:1239
(gdb) p peerinfo
$1 = (glusterd_peerinfo_t *) 0x0
(gdb) q
Comment 1 Anand Avati 2010-07-19 05:11:08 EDT
PATCH: http://patches.gluster.com/patch/3749 in master (Changes for volume commands)

Note You need to log in before you can comment on or make changes to this bug.